Hooks:PostHook(WeaponFactoryTweakData, "init", "db_beInit", function(self)
	
	local db = { -- List of double-barreled shotguns
		"wpn_fps_shot_huntsman",
		"wpn_fps_shot_b682",
		"wpn_fps_sho_coach"
	}
	local db_be= {} -- Create a list of be based on the Saiga
	for i, parts in pairs(self.wpn_fps_shot_saiga.uses_parts) do
		if self.parts[parts].type == "barrel_ext" then
			table.insert(db_be, parts )
		end
	end
	if not self.wpn_fps_sho_coach.adds     then self.wpn_fps_sho_coach.adds     = {} end
	if not self.wpn_fps_shot_b682.adds     then self.wpn_fps_shot_b682.adds     = {} end
	if not self.wpn_fps_shot_huntsman.adds then self.wpn_fps_shot_huntsman.adds = {} end
	if not self.wpn_fps_sho_coach.override     then self.wpn_fps_sho_coach.override     = {} end
	if not self.wpn_fps_shot_b682.override     then self.wpn_fps_shot_b682.override     = {} end
	if not self.wpn_fps_shot_huntsman.override then self.wpn_fps_shot_huntsman.override = {} end
	
	for i, db_id in ipairs(db) do
		for j, db_ns in ipairs(db_be) do
				table.list_append(self[db_id].uses_parts, { db_ns }) -- Adding the parts to the weapons
				if not self[db_id].override[db_ns] then self[db_id].override[db_ns] = {} end
				if not self.parts.wpn_fps_shot_b682_b_long.override then self.parts.wpn_fps_shot_b682_b_long.override = {} end
				self.parts.wpn_fps_shot_b682_b_long.override[db_ns] = {a_obj = "a_ns_long"}
				self.parts.wpn_fps_shot_b682_b_long.override[tostring(db_ns) .. "_1"] = {a_obj = "a_ns_long_1"}
				if not self.parts.wpn_fps_shot_huntsman_b_long.override then self.parts.wpn_fps_shot_huntsman_b_long.override = {} end
				self.parts.wpn_fps_shot_huntsman_b_long.override[db_ns] = {a_obj = "a_ns_long"}
				self.parts.wpn_fps_shot_huntsman_b_long.override[tostring(db_ns) .. "_1"] = {a_obj = "a_ns_long_1"}
				if not self.parts.wpn_fps_sho_coach_b_short.override then self.parts.wpn_fps_sho_coach_b_short.override = {} end
				self.parts.wpn_fps_sho_coach_b_short.override[db_ns] = {a_obj = "a_ns_short"}
				self.parts.wpn_fps_sho_coach_b_short.override[tostring(db_ns) .. "_1"] = {a_obj = "a_ns_short_1"}
		end
		self:_clone_part_type_for_weapon("barrel_ext", db_id , 1)
		-- log("Cloned barrel extensions for " .. tostring(db_id))
	end
end)